
Core - Bug # 48464

Status: New Priority: Must have
Author: nurbs999 no-lastname-given Category: Workspaces
Created: 2013-05-22 Assigned To:
Updated: 2015-01-31 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: Images in workspaces don't work
Description

In the backend I can't see the images of 'Text with image' elements if I use workspaces (another than live). They only show up in all
workspaces once the element is published.

Steps to reproduce:
Fresh TYPO3 6.0.5 installation.
1. Login into backend
2. Install system extension 'workspaces'
3. create a filemount
4. create a workspace
5. reload backend
6. switch into new workspace
7. select page->any_page_you_want
8. add content element to page
9. select 'text with image'
10. add an image from filemount
11. save and close
12. voila, no image

Related issues:
related to Core - Task # 43916: File Repository does not work with Workspaces Resolved 2012-12-12
related to Core - Bug # 46742: CE text with image in workflow: FAL images are... Accepted 2013-03-28

History
#1 - 2013-05-22 18:00 - nurbs999 no-lastname-given

added screenshot

http://img577.imageshack.us/img577/3929/bildschirmfoto20130522u.png

#2 - 2013-05-27 10:25 - nurbs999 no-lastname-given
- Project changed from Core to Workspaces & Versioning
- Category deleted (Backend User Interface)
- Assigned To set to Oliver Hader

#3 - 2013-05-29 13:37 - Frank Gerards
- Target version changed from 6.0.5 to 2338
I dont know if FAL supports workspaces and versioning to 100% right now.

Ofc versioning and workspaces is a killer feature besides multi-domain for bigger enterprise projects and
for projects requiring an author workflow, plz fix it soon or communicate a roadmap for it

#4 - 2013-06-01 14:13 - Ernesto Baschny
- Target version deleted (2338)

#5 - 2013-07-17 08:34 - Oliver Hader
- Assigned To deleted (Oliver Hader)

#6 - 2013-07-17 08:36 - Oliver Hader
- Status changed from New to Needs Feedback

Does the image not show up in the backend (Web>Page column view) or in the frontend-preview?

#7 - 2013-07-17 13:43 - Markus Günther
- File Bildschirmfoto_2013-07-17_um_13.41.42.png added
- File Screenshot_17.07.13_13_42.png added

I test it with a TYPO3 CMS 6.1 and the problem is still there.

Steps to reproduce:
- log into the backend
- switch to workspace
- create a content element with an image
- save the ce and then in the backend the preview image is missing

- in the frontend preview the image is also missing and the last build query fails:
1INSERT INTO cache_imagesizes (md5hash,md5filename,tstamp,filename,imagewidth,imageheight) VALUES ('
e7a3b8f2f266958cba1567253f25e6ee','a714d19ea77b0c14af6712eeb57dd6cf','1374054200','typo3temp/pics/d92587b97b.png','287','166')

#8 - 2013-07-17 15:43 - Markus Günther

The Error in the frontend is a result of a missing check in the FrontendContentAdapterService.php. In the method modifyDBRow the file repository gets
only the record uid of the original or of the language overlay. The method don't have a look for the workspace record uid.

So all files of any workspaces records can not be found.
1$files = $fileRepository->findByRelation($table, $migrateFieldName, isset($row['_LOCALIZED_UID']) ? intval($row['_LOCALIZED_UID']) : 
intval($row['uid']));

If you also check for isset($row['_ORIG_uid'], then you will get the images also from the workspace.

I am not the expert in WS so i am not sure if it is enough to do something like this:
 1                    if (isset($row['_ORIG_uid'])) {
 2                        $relatedRecordUid = intval($row['_ORIG_uid']);
 3                    } elseif (isset($row['_LOCALIZED_UID'])) {
 4                        $relatedRecordUid = intval($row['_LOCALIZED_UID']);
 5                    } else {
 6                        $relatedRecordUid = $row['uid'];
 7                    }
 8
 9                    $files = $fileRepository->findByRelation($table, $migrateFieldName, $relatedRecordUid);
10

#9 - 2013-08-14 11:03 - Lars Malach

Whats the current state of this issue? Is somebody working on a solution?

I would love to help, but Markus Günther told me, that there are some conceptional meetings currently..

#10 - 2013-09-26 14:02 - Marcos Fadul

Check the patch for bug 43916. That one worked for me on Typo3 6.1.5.

#11 - 2013-12-10 00:58 - Michael Stucki
- Category set to Workspaces

#12 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#13 - 2014-01-20 13:41 - Alexander Opitz
- Category changed from Workspaces to File Abstraction Layer (FAL)
- Is Regression set to No

Hi,

can you try the patch from #43916 please? And report back if this helps you.

#14 - 2014-01-20 13:47 - Konrad Schiertz

TYPO3 Version 6.1.7
With the patch from 43916 and the changes from Markus Günther images are shown in the frontend preview workspace.
In the Backend not. The Backend view is still like screenshot: Bildschirmfoto_2013-07-17_um_13.41.42.png

#15 - 2014-01-20 13:58 - Alexander Opitz
- Status changed from Needs Feedback to New

#16 - 2014-09-17 13:08 - Christiaan Wiesenekker
Does anybody has a fix for this? Or should we use the patch from 43916?

#17 - 2015-01-31 16:30 - Ingo Schmitt
- Category changed from File Abstraction Layer (FAL) to Workspaces

Files
Bildschirmfoto_2013-07-17_um_13.41.42.png 203.9 kB 2013-07-17 Markus Günther
Screenshot_17.07.13_13_42.png 446.3 kB 2013-07-17 Markus Günther
